Bug 813306 - Review Request: accerciser - Interactive Python accessibility explorer for the GNOME desktop
Review Request: accerciser - Interactive Python accessibility explorer for th...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
: 546738 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 08:58 EDT by Kalev Lember
Modified: 2012-05-18 08:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 08:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hobbes1069: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-04-17 08:58:18 EDT
Spec URL: http://kalev.fedorapeople.org/accerciser.spec
SRPM URL: http://kalev.fedorapeople.org/accerciser-3.4.1-1.fc17.src.rpm
Description:
Accerciser is an interactive Python accessibility explorer for the GNOME
desktop. It uses AT-SPI to inspect and control widgets, allowing you to check
if an application is providing correct information to assistive technologies
and automated test frameworks. Accerciser has a simple plugin framework which
you can use to create custom views of accessibility information.
Comment 1 Kalev Lember 2012-04-18 17:05:52 EDT
*** Bug 546738 has been marked as a duplicate of this bug. ***
Comment 2 Richard Shaw 2012-04-24 15:25:38 EDT
Initial spec review looks clean.
Comment 3 Richard Shaw 2012-04-24 16:48:16 EDT
Ok, I made sure it would build on rawhide and checked rpmlint:

$ rpmlint mockbuild/rawhide/accerciser/*.rpm
accerciser.noarch: E: explicit-lib-dependency libwnck3
accerciser.noarch: W: spelling-error %description -l en_US assistive -> assertive, passive, massive
accerciser.noarch: E: non-executable-script /usr/share/accerciser/plugins/ipython_view.py 0644L /usr/bin/python
accerciser.src: W: spelling-error %description -l en_US assistive -> assertive, passive, massive
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

The only one I think you need to fix is the non-executable-script. I'm assuming that it isn't run directly but used as a module. In that case just remove the shebang either with sed or a patch and make sure upstream knows.
Comment 4 Richard Shaw 2012-04-25 13:01:04 EDT
+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clairification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: BSD
[+] license field matches the actual license.
[+] license file is included in %doc: COPYING
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum matches (fba7edb13dd80ef63e6044b411a6a84f)
[+] package builds on at least one primary arch: Tested x86_64
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[+] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[+] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[+] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock
[+] package builds on all supported arches: Tested x86_64
[?] package functions as described: Not tested
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[+] file dependencies versus package dependencies
[+] package contains man pages for binaries/scripts

Just make sure you take care of the non-executable-script problem.

*** APPROVED ***
Comment 5 Kalev Lember 2012-04-25 18:04:40 EDT
Thanks for the review, Richard!
Comment 6 Kalev Lember 2012-04-25 18:06:00 EDT
New Package SCM Request
=======================
Package Name: accerciser
Short Description: Interactive Python accessibility explorer for the GNOME desktop
Owners: kalev
Branches: f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-04-26 08:08:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.